﻿/**Begin D:\PDM_UPGRADE\pdm1\SCMDI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_WARNING_RESULT') 
 CREATE TABLE T_SCMDI_WARNING_RESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FWARNING_TITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWARNING_TITLE_TAG NCLOB,
FWARNING_CONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWARNING_CONTENT_TAG NCLOB,
FWARNING_CONFIGID BIGINT DEFAULT 0 NOT NULL,
FWARNING_OBJECTID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FWARNING_RECORD BIGINT DEFAULT 0 NOT NULL,
FWARNINGLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSINGSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSORID BIGINT DEFAULT 0 NOT NULL,
FPROCESSINGTIME DATETIME,
FFILTER_CONDITION_READ NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_READ_TAG NCLOB,
FDUPLICATED_COUNT BIGINT DEFAULT 0 NOT NULL,
FFINGERPRINT_HASH NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFINGERPRINT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFINGERPRINT_TAG NCLOB,
FUPGRADE_STATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXEC_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORIENT_RESULT_IDENTITY BIGINT DEFAULT 0 NOT NULL,
FWARNING_RESULT_OBJECT NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDYNAMIC_FIELDS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDYNAMIC_FIELDS_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_WARNING_RESULT_I') 
 CREATE TABLE T_SCMDI_WARNING_RESULT_I (
FID BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FAVBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\pdm1\SCMDI_table.sql **/
