﻿/**Begin D:\PDM_UPGRADE\pdm1\SCMDI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_WARNING_RECORD' AND KSQL_COL_NAME IN ('FRIDDING_COUNT')) 
 ALTER TABLE T_SCMDI_WARNING_RECORD ADD (FRIDDING_COUNT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_WARNING_RECORD' AND KSQL_COL_NAME IN ('FRIDDING_CONFIG')) 
 ALTER TABLE T_SCMDI_WARNING_RECORD ADD (FRIDDING_CONFIG BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_WARNRESULT_INVQTY' AND KSQL_COL_NAME IN ('FDUPLICATED_COUNT')) 
 ALTER TABLE T_SCMDI_WARNRESULT_INVQTY ADD (FDUPLICATED_COUNT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_WARNRESULT_INVQTY' AND KSQL_COL_NAME IN ('FFINGERPRINT_HASH')) 
 ALTER TABLE T_SCMDI_WARNRESULT_INVQTY ADD (FFINGERPRINT_HASH NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_WARNRESULT_INVQTY' AND KSQL_COL_NAME IN ('FFINGERPRINT')) 
 ALTER TABLE T_SCMDI_WARNRESULT_INVQTY ADD (FFINGERPRINT NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_WARNRESULT_INVQTY' AND KSQL_COL_NAME IN ('FFINGERPRINT_TAG')) 
 ALTER TABLE T_SCMDI_WARNRESULT_INVQTY ADD (FFINGERPRINT_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_WARNING_RIDDING_L') 
 CREATE TABLE T_SCMDI_WARNING_RIDDING_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_WARNING_RIDDING') 
 CREATE TABLE T_SCMDI_WARNING_RIDDING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FWARNING_CONFIG BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_WARN_RIDDING_LOG') 
 CREATE TABLE T_SCMDI_WARN_RIDDING_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FWARNING_RECORDID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FWARNING_OBJECTID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_READ NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_READ_TAG NCLOB,
FWARNINGLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRDIDING_DATA BIGINT DEFAULT 0 NOT NULL,
FRDIDING_DATA_TABLE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_RIDDING_LOG_ENTRY') 
 CREATE TABLE T_SCMDI_RIDDING_LOG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELD_KEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELD_VALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELD_CLASS_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITY_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELD_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMETRIC_FIELD_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\pdm1\SCMDI_table.sql **/
